WodBoard Developer Docs
  1. Passes
  • Introduction
  • Products
    • Passes
      • List all passes
        GET
      • Retrieve a pass
        GET
  • Tset webhook
  • Schemas
    • Pass
    • Location
    • Service
  1. Passes

Retrieve a pass

GET
/api/v1_1/organisations/{organisation_id}/passes/{id}

Request

Authorization
OAuth 2.0
Authorization Code
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Authorize URL: https://www.wodboard.com/oauth/authorize
Token URL: https://www.wodboard.com/oauth/token
Scopes:
write-Can write
read-Can read
or
Path Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://www.wodboard.com/api/v1_1/organisations//passes/8620' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "id": 0,
    "name": "string",
    "pass_type": "group_class",
    "session_count": 0,
    "price": "string",
    "currency": "string",
    "created_at": "string",
    "introductory_offer": true,
    "hidden": true,
    "restricted": true,
    "purchase_limit": 0,
    "valid_for_count": 0,
    "valid_for_unit": "string",
    "location": {},
    "service": {},
    "follow_on_product": {}
}
Modified at 2026-08-18 10:27:51
Previous
List all passes
Next
Tset webhook
Built with